=== debian/changelog ===
libtemplates-parser (11.10-4) unstable; urgency=medium

  * Build-Depend iftex.sty from texlive-generic-extra. Closes: #830367.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 11 Jul 2016 13:27:43 +0200

libtemplates-parser (11.10-3) unstable; urgency=medium

  * Require gprbuild linking with -lgnat6 instead of -lgnat-5.0.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 27 Apr 2016 02:35:49 +0200

libtemplates-parser (11.10-2) unstable; urgency=medium

  * Build with gnat-6 and xmlada6, upload to unstable.
  * Enable all hardening flags, but PIE because we build a shared library.
    Put LDFLAGS before libraries in linker options.
  * Do not freeze clock for docs: pdflatex is being patched, and faketime
    triggers a recompilation of the library.
  * Switch from manual -dbg packages to automatic -dbgsym packages.
  * Move sphinx-common to Build-Depends-Indep.
  * tests: do not assume gnatmake supports GNAT projects.
  * Standards-Versions: 3.9.8 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Apr 2016 09:39:53 +0200

libtemplates-parser (11.10-1) experimental; urgency=medium

  * New upstream. Build with gprbuild, gnat 5 and xmlada 6.
  * Per Ada policy, rename lib/-dev packages and remove Conflict/Replace.
  * Author grants GCC Runtime Library and GNAT generics exceptions to GPL-3+.
    Drop Monotone repositories, get-orig-source target and header patches.
    Add a real watch file, downloading head of git branches used for releases.
  * Sort patches to minimize fuzz during next refresh.
    optimize-templates_parser.adb-as-other-sources fixes an upstream bug.
    explicit-that-build-doc-target-requires-tp_shared.diff: forwarded fix.
    xmlada-split.diff: handle XMLAda split in modules.
    no-need-for-gprclean.diff: avoid an infinite gprclean loop.
  * (style) Merge two ada_libraries settings into a single debhelper override.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 04 Apr 2016 15:20:54 +0200
