=== debian/watch ===
# This script detects new x.y releases, but not x.y.z branch updates.
# See README.source.

version=4
opts=\
  downloadurlmangle=\
    s/tree/archive/;\
    s/$/.zip/ \
https://github.com/AdaCore/templates-parser/branches/all \
/AdaCore/templates-parser/tree/release-(\d+(?:\.\d+)*)
