## libtemplates-parser 17.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ############################################################################
 #                              Ada Web Server                              #
 #                                                                          #
-#                     Copyright (C) 2003-2015, AdaCore                     #
+#                     Copyright (C) 2003-2017, AdaCore                     #
 #                                                                          #
 #  This is free software;  you can redistribute it  and/or modify it       #
 #  under terms of the  GNU General Public License as published  by the     #
@@ -18,7 +18,7 @@
 
 .SILENT:
 
-VERSION	= 11.10.1
+VERSION	= 17.2
 
 DEBUG        = false
 TP_TASKING   = Standard_Tasking
@@ -29,7 +29,7 @@
 DEFAULT_LIBRARY_TYPE	= static
 
 ENABLE_STATIC = true
-ENABLE_SHARED =$(shell $(GNAT) make -c -q -p -XTARGET=$(TARGET) \
+ENABLE_SHARED = $(shell $(GNAT) make -c -q -p -XTARGET=$(TARGET) \
 			-Pconfig/setup/test_shared 2>/dev/null && echo "true")
 
 ifeq ($(shell gnat ls -Pxmlada 2>&1 | grep 'project file .* not found'),)
@@ -98,17 +98,25 @@
 TP_XMLADA=Disabled
 endif
 
-ALL_OPTIONS = INCLUDES="$(INCLUDES)" PRJ_BUILD="$(PRJ_BUILD)" SDIR="$(SDIR)" \
-		TP_XMLADA="$(TP_XMLADA)" GNAT="$(GNAT)" \
-		PRJ_BUILD="$(PRJ_BUILD)" TARGET="$(TARGET)" \
-		DEFAULT_LIBRARY_TYPE="$(DEFAULT_LIBRARY_TYPE)" \
-		ENABLE_SHARED="$(ENABLE_SHARED)" \
-		ENABLE_STATIC="$(ENABLE_STATIC)" \
-		GPRBUILD="$(GPRBUILD)" GPRCLEAN="$(GPRCLEAN)"
+ALL_OPTIONS := \
+ DEBUG \
+ DEFAULT_LIBRARY_TYPE \
+ ENABLE_SHARED \
+ ENABLE_STATIC \
+ GNAT \
+ GPRBUILD \
+ GPRCLEAN \
+ PRJ_BUILD \
+ PROCESSORS \
+ SDIR \
+ TARGET \
+ TP_XMLADA \
+ VERSION \
+ prefix
 
-GPROPTS += -XPRJ_BUILD=$(PRJ_BUILD) -XTP_XMLADA=$(TP_XMLADA) \
-		-XPROCESSORS=$(PROCESSORS) -XTARGET=$(TARGET) \
-		-XVERSION=$(VERSION)
+GPROPTS += $(foreach v, \
+ PRJ_BUILD TP_XMLADA PROCESSORS TARGET VERSION \
+ ,"-X$(v)=$($(v))")
 
 GPR_DEFAULT = -XLIBRARY_TYPE=$(DEFAULT_LIBRARY_TYPE) \
 		-XXMLADA_BUILD=$(DEFAULT_LIBRARY_TYPE)
@@ -118,7 +126,7 @@
 #######################################################################
 #  build
 
-build: tp_xmlada.gpr
+build: tp_xmlada.gpr makefile.setup
 	$(GPRBUILD) -p $(GPROPTS) $(GPR_DEFAULT) \
 		--subdirs=$(SDIR)/$(DEFAULT_LIBRARY_TYPE) -Ptemplates_parser
 ifneq ($(OTHER_LIBRARY_TYPE),)
@@ -128,32 +136,30 @@
 	$(GPRBUILD) -p $(GPROPTS) $(GPR_DEFAULT) \
 		--subdirs=$(SDIR)/$(DEFAULT_LIBRARY_TYPE) -Ptools/tools
 
-run_regtests test: build
-	$(MAKE) -C regtests $(ALL_OPTIONS) test
+run_regtests test: build makefile.setup
+	$(MAKE) -C regtests test
 
-build-doc:
-	$(MAKE) -C docs html latexpdf
+DOC_FORMATS := html latexpdf
+build-doc: tp_xmlada.gpr makefile.setup
+	$(MAKE) -C docs $(DOC_FORMATS)
 	echo Templates_Parser Documentation built with success.
 
 #######################################################################
 #  setup
 
-tp_xmlada.gpr: setup
-
-setup:
+tp_xmlada.gpr:
 ifeq ($(TP_XMLADA), Installed)
 	cp config/tp_xmlada_installed.gpr tp_xmlada.gpr
 else
 	cp config/tp_xmlada_dummy.gpr tp_xmlada.gpr
 endif
-	echo "prefix=$(prefix)" > makefile.setup
-	echo "DEFAULT_LIBRARY_TYPE=$(DEFAULT_LIBRARY_TYPE)" >> makefile.setup
-	echo "ENABLE_STATIC=$(ENABLE_STATIC)" >> makefile.setup
-	echo "ENABLE_SHARED=$(ENABLE_SHARED)" >> makefile.setup
-	echo "DEBUG=$(DEBUG)" >> makefile.setup
-	echo "PROCESSORS=$(PROCESSORS)" >> makefile.setup
-	echo "TP_XMLADA=$(TP_XMLADA)" >> makefile.setup
-	echo "TARGET=$(TARGET)" >> makefile.setup
+
+force:
+
+makefile.setup: setup
+
+setup: tp_xmlada.gpr force
+	printf " $(foreach v,$(ALL_OPTIONS),$(v) = $($(v))\n)" > makefile.setup
 
 #######################################################################
 #  install
@@ -187,7 +193,7 @@
 ifneq ($(OTHER_LIBRARY_TYPE),)
 	-$(GPRCLEAN) $(GPR_OTHER) $(GPROPTS) -Ptemplates_parser
 endif
-	-$(MAKE) -C docs clean $(ALL_OPTIONS)
-	-$(MAKE) -C regtests clean $(ALL_OPTIONS)
+	-$(MAKE) -C docs clean
+	-$(MAKE) -C regtests clean
 	rm -fr .build makefile.setup
 	rm -f config/setup/foo.ali config/setup/foo.o tp_xmlada.gpr
