=== debian/changelog ===
libtemplates-parser (17.2-3) unstable; urgency=medium

  * Build-Depend latexmk for LaTeX sphinx-doc module. Closes: #872230.
  * Rebuild with xmlada 17.1.2017-5. -dev version is already new in testing.
  * Increase gprbuild verbosity in run-time test.
  * Build-Depend: python3 version of sphinx-doc.
  * Standards-Version: 4.1.0.
  * Vcs-Mtn: new monotone URI format.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Sep 2017 13:48:44 +0200

libtemplates-parser (17.2-2) unstable; urgency=medium

  * Upload to unstable.
    The compiler change requires a SO change in runtime package name,
    but makes the Break/Replace with previous -dev unnecessary.
  * Prevent parallel sphinx runs to circumvent #869098.
  * Standards-Version: 4.0.1 (no changes).
  * Drop explicit rules targets confusing dh.
  * Use new texlive package name in Build-Depends.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 10 Aug 2017 09:44:27 +0200

libtemplates-parser (17.2-1) experimental; urgency=medium

  * Build with gnat-7. No ALI/SO package renaming in experimental.
  * New upstream release. Drop applied, refused or obsolete style patches.
    Split handle_build_flags.diff, creating rename-so-lib.diff.
    Cherry-pick ldflags-only-for-shared.diff from upstream VCS.
  * Replace file copies in d/rules with avoid-gprbuild-subdir-option.diff.
  * Allow -doc package to satisfy Multi-Arch: foreign dependencies.
  * Set watch file to track github tags. Drop README.source.
  * Standards-Version: 4.0.0. Handle DEB_BUILD_OPTIONS=nodoc.
    Downgrade -doc to Suggests. Use https copyright format URL.
  * Debhelper 10.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 04 Jul 2017 15:14:53 +0200

libtemplates-parser (11.10-5) experimental; urgency=medium

  * Rebuild against XML/Ada GPL 2016. Increase ALI version in -dev package
    name, Break/Replace previous version per Ada policy.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 11 Aug 2016 03:21:48 +0200
