=== debian/control ===
--- 
+++ 
@@ -4,41 +4,43 @@
 Maintainer: Ludovic Brenta <lbrenta@debian.org>
 Uploaders: Xavier Grave <xavier.grave@csnsm.in2p3.fr>,
  Nicolas Boulenguez <nicolas@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1),
+Build-Depends: debhelper (>= 10), dpkg-dev (>= 1.16.1),
 # dpkg-dev 1.16.1 provides /usr/share/dpkg/default.mk
- gnat, gnat-6,
+ gnat, gnat-7,
+# This line is parsed by d/rules.
 # gnat-v provides /usr/share/ada/debian_packaging-v.mk
- gprbuild (>= 2015-2),
-# gprbuild compatible with gnat-6
- dh-ada-library (>= 6.7),
-# dh-ada-library 6.7 knows that -dbg packages are obsolete,
+ gprbuild (>= 2017),
+# This version cleans auto.cgpr after the build.
+ dh-ada-library (>= 6.9),
+# dh-ada-library searching projects in new /usr/share/gpr.
 # See xsrc/templates_parser-xml.adb.
- libxmlada-unicode6-dev,
- libxmlada-input-sources6-dev,
- libxmlada-sax6-dev,
- libxmlada-dom6-dev
+ libxmlada-unicode7-dev (>= 17.1.2017-5),
+ libxmlada-input7-dev (>= 17.1.2017-5),
+ libxmlada-sax7-dev (>= 17.1.2017-5),
+ libxmlada-dom7-dev (>= 17.1.2017-5)
 Build-Depends-Indep: texinfo,
- python-sphinx,
+ python3-sphinx,
+ latexmk,
+# Sphinx >= 1.6 uses the latexmk driver.
  texlive-fonts-recommended,
 # sphinx-doc requires iftex.sty:
- texlive-generic-extra,
+ texlive-plain-generic,
  texlive-latex-extra,
  texlive-latex-recommended
 # sphinx-common provides dh_sphinxdoc
  ,sphinx-common
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: http://libre.adacore.com
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libtemplates-parser
-Vcs-Mtn: www.ada-france.org org.debian.libtemplates-parser
+Vcs-Mtn: mtn://www.ada-france.org?org.debian.libtemplates-parser
 
-# Should start with "AdaCore_Major.AdaCore_Minor.".
-Package: libtemplates-parser11.10.1-dev
+Package: libtemplates-parser11.10.2-dev
 Architecture: any
 Depends: ${ada:Depends}, ${shlibs:Depends}, ${misc:Depends}
 # No need to Depend: libxmlada*-dev
 # because the generated project does not need to import "xmlada.gpr"
 # because XMLada is only used by a body in templates-parser.
-Recommends: libtemplates-parser-doc
+Suggests: libtemplates-parser-doc
 Description: Ada library to parse files and replace variables
  The main goal is to ease the development of Web servers. In CGI
  (Common Gateway Interface) applications, you have to write  HTML pages in
@@ -50,8 +52,7 @@
  This package contains the static libraries, documentation, tools and Ada
  specification files.
 
-# Should start with "AdaCore_Major.AdaCore_Minor.".
-Package: libtemplates-parser11.10.1
+Package: libtemplates-parser17.2
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -70,6 +71,7 @@
 Package: libtemplates-parser-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Suggests: gnat
 Description: Ada library to parse files and replace variables (documentation)
