=== debian/watch ===
# This script detects new x.y releases, but not x.y.z branch updates.
# See README.source.

version=4
opts=\
  filenamemangle=s/.+\/(?:v|release)?(\d\S+)\.tar\.gz/templates-parser-$1\.tar\.gz/ \
https://github.com/AdaCore/templates-parser/tags \
.*/(?:v|release-)?(\d\S+)\.tar\.gz
